Bug 121933 - VesaFB is slow, really slow.
VesaFB is slow, really slow.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-29 03:55 EDT by Ivo Sarak
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-22 12:38:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2004-04-29 03:55:46 EDT
Description of problem:
If I add vga=0x305 or vga=0x317 or whatever Vesa mode selection to
Grub boot config, I get Vesa mode going, but the rate of character
drawing is truly horrendeus. It draws every point unaccelerated and it
takes 37 seconds to scroll the screen by one line.

Version-Release number of selected component (if applicable):
This is vanilla FC2 Test3, no updates.

How reproducible:
Always.
No matter what screen mode to choose.

Steps to Reproduce:
1. Install FC3;
2. Modify Grub configuration and add vga=0x305 to "kernel" line;
3. Reboot the box;
  
Actual results:
I get VesaFB mode going, but character drawing is slow, really slow.

Expected results:
No slowdown.

Additional info:
This box has ATI Rage 128Pro AGP videocard.
Comment 1 Ivo Sarak 2004-04-29 03:56:18 EDT
lspci of this machine under FC1:

00:00.0 Host bridge: nVidia Corporation nForce3 Host Bridge (rev a4)
00:01.0 ISA bridge: nVidia Corporation nForce3 LPC Bridge (rev f6)
00:01.1 SMBus: nVidia Corporation nForce3 SMBus (rev a4)
00:02.0 USB Controller: nVidia Corporation nForce3 USB 1.1 (rev a5)
00:02.1 USB Controller: nVidia Corporation nForce3 USB 1.1 (rev a5)
00:08.0 IDE interface: nVidia Corporation nForce3 IDE (rev a5)
00:0a.0 PCI bridge: nVidia Corporation nForce3 PCI Bridge (rev a2)
00:0b.0 PCI bridge: nVidia Corporation nForce3 AGP Bridge (rev a4)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
01:04.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado]
(rev 74)
01:05.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1
(rev 05)
01:05.1 Input device controller: Creative Labs SB Live! MIDI/Game Port
(rev 05)
02:00.0 VGA compatible controller: ATI Technologies Inc Rage 128
PF/PRO AGP 4x TMDS
Comment 2 Ivo Sarak 2004-04-29 03:56:57 EDT
dmidecode of this machine under FC1:

# dmidecode 2.2
SMBIOS 2.3 present.
60 structures occupying 1905 bytes.
Table at 0x000F04B0.
Handle 0x0000
        DMI type 0, 20 bytes.
        BIOS Information
                Vendor: American Megatrends Inc.
                Version: 080009
                Release Date: 11/19/2003
                Address: 0xF0000
                Runtime Size: 64 kB
                ROM Size: 512 kB
                Characteristics:
                        ISA is supported
                        PCI is supported
                        PNP is supported
                        APM is supported
                        BIOS is upgradeable
                        BIOS shadowing is allowed
                        ESCD support is available
                        Boot from CD is supported
                        Selectable boot is supported
                        BIOS ROM is socketed
                        EDD is supported
                        5.25"/1.2 MB floppy services are supported
(int 13h)
                        3.5"/720 KB floppy services are supported (int
13h)
                        3.5"/2.88 MB floppy services are supported
(int 13h)
                        Print screen service is supported (int 5h)
                        8042 keyboard services are supported (int 9h)
                        Serial services are supported (int 14h)
                        Printer services are supported (int 17h)
                        CGA/mono video services are supported (int 10h)
                        ACPI is supported
                        USB legacy is supported
                        AGP is supported
                        LS-120 boot is supported
                        ATAPI Zip drive boot is supported
                        BIOS boot specification is supported
Handle 0x0001
        DMI type 1, 25 bytes.
        System Information
                Manufacturer: ASUSTek Computer Inc.
                Product Name: SK8N
                Version: To Be Filled By O.E.M.
                Serial Number: To Be Filled By O.E.M.
                UUID: 00020003-0004-0005-0006-000700080009
                Wake-up Type: Power Switch
Handle 0x0002
        DMI type 2, 8 bytes.
        Base Board Information
                Manufacturer: ASUSTeK Computer INC.
                Product Name: 'SK8N'
                Version: Rev 1.xx
                Serial Number: MB-1234567890
Handle 0x0003
        DMI type 3, 17 bytes.
        Chassis Information
                Manufacturer: Chassis Manufacture
                Type: Desktop
                Lock: Not Present
                Version: Chassis Version
                Serial Number: Chassis Serial Number
                Asset Tag: Asset-1234567890
                Boot-up State: Safe
                Power Supply State: Safe
                Thermal State: Safe
                Security Status: None
                OEM Information: 0x00000001
Handle 0x0004
        DMI type 4, 35 bytes.
        Processor Information
                Socket Designation: Socket 940
                Type: Central Processor
                Family: Opteron
                Manufacturer: AMD
                ID: 51 0F 00 00 FF FB 8B 07
                Version: AMD Opteron(tm) Processor 240
                Voltage:
                External Clock: 200 MHz
                Max Speed: 1400 MHz
                Current Speed: 1400 MHz
                Status: Populated, Enabled
                Upgrade: Socket 940
                L1 Cache Handle: 0x0005
                L2 Cache Handle: 0x0006
                L3 Cache Handle: 0x0007
                Serial Number: To Be Filled By O.E.M.
                Asset Tag: To Be Filled By O.E.M.
                Part Number: To Be Filled By O.E.M.
Handle 0x0005
        DMI type 7, 19 bytes.
        Cache Information
                Socket Designation: L1-Cache
                Configuration: Enabled, Not Socketed, Level 1
                Operational Mode: Varies With Memory Address
                Location: Internal
                Installed Size: 64 KB
                Maximum Size: 64 KB
                Supported SRAM Types:
                        Pipeline Burst
                Installed SRAM Type: Pipeline Burst
                Speed: Unknown
                Error Correction Type: Single-bit ECC
                System Type: Data
                Associativity: 4-way Set-associative
Handle 0x0006
        DMI type 7, 19 bytes.
        Cache Information
                Socket Designation: L2-Cache
                Configuration: Enabled, Not Socketed, Level 2
                Operational Mode: Varies With Memory Address
                Location: Internal
                Installed Size: 1024 KB
                Maximum Size: 1024 KB
                Supported SRAM Types:
                        Pipeline Burst
                Installed SRAM Type: Pipeline Burst
                Speed: Unknown
                Error Correction Type: Single-bit ECC
                System Type: Unified
                Associativity: 4-way Set-associative
Handle 0x0007
        DMI type 7, 19 bytes.
        Cache Information
                Socket Designation: L3-Cache
                Configuration: Disabled, Not Socketed, Level 3
                Operational Mode: Unknown
                Location: Internal
                Installed Size: 0 KB
                Maximum Size: 0 KB
                Supported SRAM Types:
                        Unknown
                Installed SRAM Type: Unknown
                Speed: Unknown
                Error Correction Type: Unknown
                System Type: Unknown
                Associativity: Unknown
Handle 0x0008
        DMI type 5, 24 bytes.
        Memory Controller Information
                Error Detecting Method: 64-bit ECC
                Error Correcting Capabilities:
                        None
                        Single-bit Error Correcting
                        Double-bit Error Correcting
                Supported Interleave: One-way Interleave
                Current Interleave: One-way Interleave
                Maximum Memory Module Size: 2048 MB
                Maximum Total Memory Size: 8192 MB
                Supported Speeds:
                        70 ns
                        60 ns
                Supported Memory Types:
                        ECC
                        SIMM
                        DIMM
                        SDRAM
                Memory Module Voltage: 3.3 V
                Associated Memory Slots: 4
                        0x0009
                        0x000A
                        0x000B
                        0x000C
                Enabled Error Correcting Capabilities:
                        None
                        Single-bit Error Correcting
                        Double-bit Error Correcting
Handle 0x0009
        DMI type 6, 12 bytes.
        Memory Module Information
                Socket Designation: DIMM1
                Bank Connections: 1 0
                Current Speed: Unknown
                Type: Unknown
                Installed Size: Not Installed (Single-bank Connection)
                Enabled Size: Not Installed (Single-bank Connection)
                Error Status: OK
Handle 0x000A
        DMI type 6, 12 bytes.
        Memory Module Information
                Socket Designation: DIMM2
                Bank Connections: 1 0
                Current Speed: Unknown
                Type: Unknown
                Installed Size: Not Installed (Single-bank Connection)
                Enabled Size: Not Installed (Single-bank Connection)
                Error Status: OK
Handle 0x000B
        DMI type 6, 12 bytes.
        Memory Module Information
                Socket Designation: DIMM3
                Bank Connections: 0 1
                Current Speed: Unknown
                Type: ECC DIMM
                Installed Size: 256 MB (Single-bank Connection)
                Enabled Size: 256 MB (Single-bank Connection)
                Error Status: OK
Handle 0x000C
        DMI type 6, 12 bytes.
        Memory Module Information
                Socket Designation: DIMM4
                Bank Connections: 0 1
                Current Speed: Unknown
                Type: ECC DIMM
                Installed Size: 256 MB (Single-bank Connection)
                Enabled Size: 256 MB (Single-bank Connection)
                Error Status: OK
Handle 0x000D
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J1A1
                Internal Connector Type: None
                External Reference Designator: PS/2 Mouse
                External Connector Type: PS/2
                Port Type: Mouse Port
Handle 0x000E
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J1A1
                Internal Connector Type: None
                External Reference Designator: PS/2 Keyboard
                External Connector Type: PS/2
                Port Type: Keyboard Port
Handle 0x000F
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J2A2
                Internal Connector Type: None
                External Reference Designator: USB1
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x0010
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J2A2
                Internal Connector Type: None
                External Reference Designator: USB2
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x0011
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J5A1
                Internal Connector Type: None
                External Reference Designator: USB3
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x0012
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J5A1
                Internal Connector Type: None
                External Reference Designator: USB4
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x0013
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J5A1
                Internal Connector Type: None
                External Reference Designator: USB5
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x0014
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J5A1
                Internal Connector Type: None
                External Reference Designator: USB6
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x0015
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J4A1
                Internal Connector Type: None
                External Reference Designator: LPT 1
                External Connector Type: DB-25 male
                Port Type: Parallel Port ECP/EPP
Handle 0x0016
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J6A1
                Internal Connector Type: None
                External Reference Designator: Audio Mic In
                External Connector Type: Mini Jack (headphones)
                Port Type: Audio Port
Handle 0x0017
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J6A1
                Internal Connector Type: None
                External Reference Designator: Audio Line In
                External Connector Type: Mini Jack (headphones)
                Port Type: Audio Port
Handle 0x0018
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J6A1
                Internal Connector Type: None
                External Reference Designator: Audio Line Out
                External Connector Type: Mini Jack (headphones)
                Port Type: Audio Port
Handle 0x0019
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J5A1
                Internal Connector Type: None
                External Reference Designator: LAN
                External Connector Type: RJ-45
                Port Type: Network Port
Handle 0x001A
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J2A1
                Internal Connector Type: None
                External Reference Designator: Serial Port 1
                External Connector Type: DB-9 male
                Port Type: Serial Port 16550A Compatible
Handle 0x001B
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: J2A1
                Internal Connector Type: None
                External Reference Designator: Serial Port 2
                External Connector Type: DB-9 male
                Port Type: Serial Port 16550A Compatible
Handle 0x001C
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: AUX
                Internal Connector Type: On Board Sound Input From CD-ROM
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Audio Port
Handle 0x001D
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: CD
                Internal Connector Type: On Board Sound Input From CD-ROM
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Audio Port
Handle 0x001E
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: PRI_IDE
                Internal Connector Type: On Board IDE
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x001F
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: SEC_IDE
                Internal Connector Type: On Board IDE
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x0020
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: FLOPPY
                Internal Connector Type: On Board Floppy
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x0021
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: CHA_FAN
                Internal Connector Type: Other
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x0022
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: CPU_FAN
                Internal Connector Type: Other
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x0023
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: PWR_FAN
                Internal Connector Type: Other
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x0024
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: CHASSIS
                Internal Connector Type: Other
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x0025
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: ATXPWR
                Internal Connector Type: Other
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x0026
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: FP_AUDIO
                Internal Connector Type: Other
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x0027
        DMI type 9, 13 bytes.
        System Slot Information
                Designation: AGP
                Type: 32-bit AGP 8x
                Current Usage: Available
                Length: Short
                Characteristics:
                        3.3 V is provided
                        Opening is shared
                        PME signal is supported
Handle 0x0028
        DMI type 9, 13 bytes.
        System Slot Information
                Designation: PCI1
                Type: 32-bit PCI
                Current Usage: Available
                Length: Short
                ID: 1
                Characteristics:
                        5.0 V is provided
                        Opening is shared
                        PME signal is supported
Handle 0x0029
        DMI type 9, 13 bytes.
        System Slot Information
                Designation: PCI2
                Type: 32-bit PCI
                Current Usage: Available
                Length: Short
                ID: 2
                Characteristics:
                        5.0 V is provided
                        Opening is shared
                        PME signal is supported
Handle 0x002A
        DMI type 9, 13 bytes.
        System Slot Information
                Designation: PCI3
                Type: 32-bit PCI
                Current Usage: Available
                Length: Short
                ID: 3
                Characteristics:
                        5.0 V is provided
                        Opening is shared
                        PME signal is supported
Handle 0x002B
        DMI type 9, 13 bytes.
        System Slot Information
                Designation: PCI4
                Type: 32-bit PCI
                Current Usage: Available
                Length: Short
                ID: 4
                Characteristics:
                        5.0 V is provided
                        Opening is shared
                        PME signal is supported
Handle 0x002C
        DMI type 9, 13 bytes.
        System Slot Information
                Designation: PCI5
                Type: 32-bit PCI
                Current Usage: Available
                Length: Short
                ID: 5
                Characteristics:
                        5.0 V is provided
                        Opening is shared
                        PME signal is supported
Handle 0x002D
        DMI type 10, 6 bytes.
        On Board Device Information
                Type: Video
                Status: Enabled
                Description:
Handle 0x002E
        DMI type 11, 5 bytes.
        OEM Strings
                String 1: 000C6E7E1A24
Handle 0x002F
        DMI type 13, 22 bytes.
        BIOS Language Information
                Installable Languages: 1
                        en|US|iso8859-1
                Currently Installed Language: en|US|iso8859-1
Handle 0x0030
        DMI type 16, 15 bytes.
        Physical Memory Array
                Location: System Board Or Motherboard
                Use: System Memory
                Error Correction Type: Single-bit ECC
                Maximum Capacity: 8 GB
                Error Information Handle: Not Provided
                Number Of Devices: 4
Handle 0x0031
        DMI type 19, 15 bytes.
        Memory Array Mapped Address
                Starting Address: 0x00000000000
                Ending Address: 0x0001FFFFFFF
                Range Size: 512 MB
                Physical Array Handle: 0x0030
                Partition Width: 0
Handle 0x0032
        DMI type 17, 27 bytes.
        Memory Device
                Array Handle: 0x0030
                Error Information Handle: Not Provided
                Total Width: Unknown
                Data Width: Unknown
                Size: No Module Installed
                Form Factor: DIMM
                Set: None
                Locator: DIMM0
                Bank Locator: BANK0
                Type: Unknown
                Type Detail: Unknown
                Speed: Unknown
                Manufacturer: Manufacturer0
                Serial Number: SerNum0
                Asset Tag: AssetTagNum0
                Part Number: PartNum0
Handle 0x0033
        DMI type 126, 19 bytes.
        Inactive
Handle 0x0034
        DMI type 17, 27 bytes.
        Memory Device
                Array Handle: 0x0030
                Error Information Handle: Not Provided
                Total Width: Unknown
                Data Width: Unknown
                Size: No Module Installed
                Form Factor: DIMM
                Set: None
                Locator: DIMM1
                Bank Locator: BANK1
                Type: Unknown
                Type Detail: Unknown
                Speed: Unknown
                Manufacturer: Manufacturer1
                Serial Number: SerNum1
                Asset Tag: AssetTagNum1
                Part Number: PartNum1
Handle 0x0035
        DMI type 126, 19 bytes.
        Inactive
Handle 0x0036
        DMI type 17, 27 bytes.
        Memory Device
                Array Handle: 0x0030
                Error Information Handle: Not Provided
                Total Width: 72 bits
                Data Width: 64 bits
                Size: 256 MB
                Form Factor: DIMM
                Set: None
                Locator: DIMM2
                Bank Locator: BANK2
                Type: DDR
                Type Detail: Synchronous
                Speed: 266 MHz (3.8 ns)
                Manufacturer: Manufacturer2
                Serial Number: SerNum2
                Asset Tag: AssetTagNum2
                Part Number: PartNum2
Handle 0x0037
        DMI type 20, 19 bytes.
        Memory Device Mapped Address
                Starting Address: 0x00000000000
                Ending Address: 0x0000FFFFFFF
                Range Size: 256 MB
                Physical Device Handle: 0x0036
                Memory Array Mapped Address Handle: 0x0031
                Partition Row Position: 1
Handle 0x0038
        DMI type 17, 27 bytes.
        Memory Device
                Array Handle: 0x0030
                Error Information Handle: Not Provided
                Total Width: 72 bits
                Data Width: 64 bits
                Size: 256 MB
                Form Factor: DIMM
                Set: None
                Locator: DIMM3
                Bank Locator: BANK3
                Type: DDR
                Type Detail: Synchronous
                Speed: 266 MHz (3.8 ns)
                Manufacturer: Manufacturer3
                Serial Number: SerNum3
                Asset Tag: AssetTagNum3
                Part Number: PartNum3
Handle 0x0039
        DMI type 20, 19 bytes.
        Memory Device Mapped Address
                Starting Address: 0x00010000000
                Ending Address: 0x0001FFFFFFF
                Range Size: 256 MB
                Physical Device Handle: 0x0038
                Memory Array Mapped Address Handle: 0x0031
                Partition Row Position: 1
Handle 0x003A
        DMI type 32, 20 bytes.
        System Boot Information
                Status: No errors detected
Handle 0x003B
        DMI type 127, 4 bytes.
        End Of Table
Comment 3 Ivo Sarak 2004-04-29 10:43:59 EDT
After disabling USB even this issue was resolved...
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=121964
Comment 4 Alan Cox 2004-05-22 12:38:59 EDT
Closing - this is an effect of 121964 not a bug in itself.

Note You need to log in before you can comment on or make changes to this bug.